MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0031998Open CASCADE[OCCT] OCCT:Testspublic2020-12-15 14:272020-12-19 15:21
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.6.0* 
Target Version[OCCT] 7.6.0*Fixed in Version 
Summary0031998: Tests - unexpected file artifact at the root of repository
DescriptionFile "the_name_of_saved_with_wavefront_command_box_that_measures_10_20_30_and_has_length_of_its_name_longer_than_100_characters.obj" has been suddenly found at the root of repository after testing OCCT.

Tests should not generated files in unexpected places.
Steps To Reproducecheck for missing file
TagsNo tags attached.
Test case numberdemo/draw/bug31908
Attached Files

- Relationships
child of 0031908verifiedbugmaster Draw Harness, TKTopTest - wavefront file path length is limited to 100 characters 

-  Notes
(0097646)
git (administrator)
2020-12-16 17:28

Branch CR31998 has been created by asuraven.

SHA-1: 0370f7e30d0a5b77d22547d69be3a22dbf2142ce


Detailed log of new commits:

Author: asuraven
Date: Wed Dec 16 17:28:36 2020 +0300

    0031998: Tests - unexpected file artifact at the root of repository
    
    Saving path for .obj file changed
(0097675)
git (administrator)
2020-12-17 13:20

Branch CR31998 has been deleted by asuraven.

SHA-1: 0370f7e30d0a5b77d22547d69be3a22dbf2142ce
(0097676)
git (administrator)
2020-12-17 13:20

Branch CR31998 has been created by asuraven.

SHA-1: 9095d61b8688a5f0e721430cc3c6faa88c0f66dc


Detailed log of new commits:

Author: asuraven
Date: Wed Dec 16 17:28:36 2020 +0300

    0031998: Tests - unexpected file artifact at the root of repository
    
    Saving path for .obj file changed
(0097697)
asuraven (developer)
2020-12-17 21:00

tests results: http://vm-jenkins-test-12.nnov.opencascade.com:8080/view/CR31998-master-ASURAVEN/view/COMPARE/ [^]
(0097754)
bugmaster (administrator)
2020-12-19 14:50

Combination -
OCCT branch : IR-2020-12-18
master SHA - 04114fd201c20efe9fbe85f00bec9a99ae3747ad
a206de37fbfa0bf71bd534ae47192bbec23b8522
Products branch : IR-2020-12-18 SHA - 290e5c74e8fef71947cadf90acb8e43c81ed10a1
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 17709.570000000054 / 17744.450000000124 [-0.20%]
Products
Total CPU difference: 12258.480000000121 / 12330.210000000125 [-0.58%]
Windows-64-VC14:
OCCT
Total CPU difference: 19272.796875 / 19429.1875 [-0.80%]
Products
Total CPU difference: 13712.859375 / 13755.5 [-0.31%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0097766)
git (administrator)
2020-12-19 15:21

Branch CR31998 has been deleted by inv.

SHA-1: 9095d61b8688a5f0e721430cc3c6faa88c0f66dc

- Related Changesets
occt: master e529b67d
Timestamp: 2020-12-16 14:28:36
Author: asuraven
Committer: bugmaster
Details ] Diff ]
0031998: Tests - unexpected file artifact at the root of repository

Saving path for .obj file changed
mod - tests/demo/draw/bug31908 Diff ] File ]

- Issue History
Date Modified Username Field Change
2020-12-15 14:27 kgv New Issue
2020-12-15 14:27 kgv Assigned To => asuraven
2020-12-15 14:28 kgv Relationship added child of 0031908
2020-12-15 14:28 kgv Status new => assigned
2020-12-15 14:28 kgv Product Version 7.5.0 => 7.6.0*
2020-12-16 17:28 git Note Added: 0097646
2020-12-17 13:20 git Note Added: 0097675
2020-12-17 13:20 git Note Added: 0097676
2020-12-17 21:00 asuraven Note Added: 0097697
2020-12-17 21:02 asuraven Assigned To asuraven => apn
2020-12-17 21:02 asuraven Status assigned => resolved
2020-12-17 21:02 asuraven Steps to Reproduce Updated View Revisions
2020-12-17 22:04 kgv Assigned To apn => bugmaster
2020-12-17 22:04 kgv Status resolved => reviewed
2020-12-19 14:50 bugmaster Note Added: 0097754
2020-12-19 14:50 bugmaster Status reviewed => tested
2020-12-19 15:03 bugmaster Test case number => demo/draw/bug31908
2020-12-19 15:06 bugmaster Changeset attached => occt master e529b67d
2020-12-19 15:06 bugmaster Status tested => verified
2020-12-19 15:06 bugmaster Resolution open => fixed
2020-12-19 15:21 git Note Added: 0097766


Copyright © 2000 - 2021 MantisBT Team
Powered by Mantis Bugtracker